Bug 1284561 - Typo in pesign-authorize-groups
Typo in pesign-authorize-groups
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pesign (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 10:14 EST by Ian Pilcher
Modified: 2016-02-04 19:22 EST (History)
1 user (show)

See Also:
Fixed In Version: pesign-0.111-7.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-28 18:00:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Pilcher 2015-11-23 10:14:20 EST
Trying to enable the wheel group to build kernel RPMS (see https://bugzilla.redhat.com/show_bug.cgi?id=1283475).  Have added wheel to /etc/pesign/groups, and runnging /usr/libexec/pesign/pesign-authorize-groups:

[root@ian ~]# /usr/libexec/pesign/pesign-authorize-groups
setfacl: Option -m: Invalid argument near character 3

This looks like a type on line 22 of the script:

  setfacl -m u:${group}:r /etc/pki/pesign/{cert8,key3,secmod}.db
             ^

I believe that it should be:

  setfacl -m g:${group}:r /etc/pki/pesign/{cert8,key3,secmod}.db
             ^

(Not sure if the arrow will get positioned properly, but the "u:${group}:r" probably needs to be changed to "g:${group}:r".)

This is pesign-0.111-3.fc23.x86_64 from updates-testing.
Comment 1 Ian Pilcher 2015-11-23 10:19:36 EST
Fixed by this test build https://bugzilla.redhat.com/show_bug.cgi?id=1283475#c24
Comment 2 Fedora Update System 2015-12-01 15:51:24 EST
pesign-0.111-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c8ea56fd55
Comment 3 Fedora Update System 2015-12-01 15:51:37 EST
pesign-0.111-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c8ea56fd55
Comment 4 Fedora Update System 2015-12-01 15:53:03 EST
pesign-0.111-5.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9d7c4ff402
Comment 5 Fedora Update System 2015-12-01 15:53:11 EST
pesign-0.111-5.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9d7c4ff402
Comment 6 Fedora Update System 2015-12-02 14:00:48 EST
pesign-0.111-6.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9d7c4ff402
Comment 7 Fedora Update System 2015-12-02 14:04:42 EST
pesign-0.111-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c8ea56fd55
Comment 8 Fedora Update System 2015-12-02 17:52:33 EST
pesign-0.111-6.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update pesign'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-9d7c4ff402
Comment 9 Fedora Update System 2015-12-03 20:38:42 EST
pesign-0.111-6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update pesign'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c8ea56fd55
Comment 10 Fedora Update System 2015-12-08 10:28:59 EST
pesign-0.111-6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c8ea56fd55
Comment 11 Fedora Update System 2015-12-08 17:58:59 EST
pesign-0.111-6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update pesign'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c8ea56fd55
Comment 12 Fedora Update System 2015-12-10 15:39:19 EST
pesign-0.111-7.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9d7c4ff402
Comment 13 Fedora Update System 2015-12-10 15:40:24 EST
pesign-0.111-7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c8ea56fd55
Comment 14 Fedora Update System 2015-12-11 01:02:50 EST
pesign-0.111-7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update pesign'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c8ea56fd55
Comment 15 Fedora Update System 2015-12-11 14:58:22 EST
pesign-0.111-7.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update pesign'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-9d7c4ff402
Comment 16 Fedora Update System 2015-12-28 18:00:01 EST
pesign-0.111-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-02-04 19:22:15 EST
pesign-0.111-7.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.